type Engine = () => number;
export const intRange: (min: number, max: number, engine?: Engine) => number;
export const intRangeWithEngine: (engine?: () => number) => (min: number, max: number) => number;
export const bool: (engine?: Engine) => boolean;
export const boolWithEngine: (engine?: Engine) => () => boolean;
export const char: (str: string, engine?: Engine) => string;
export const charWithEngine: (engine?: Engine) => (str: string) => string;
export const customDist: <T>(func: (num: number) => T, engine?: Engine) => T;
export const customDistWithEngine: <T>(engine?: Engine) => (func: (num: number) => T) => T;
export const exponentialDist: (lambda: number, engine?: Engine) => number;
export const exponentialDistWithEngine: (engine?: Engine) => (lambda: number) => number;
export const floatRange: (min: number, max: number, engine?: Engine) => number;
export const floatRangeWithEngine: (engine?: () => number) => (min: number, max: number) => number;
export const sequence: <T>(arr: T[], engine?: Engine) => T[];
export const sequenceWithEngine: <T>(engine?: Engine) => (arr: T[]) => T[];
export const intSequence: (min: number, max: number, engine?: Engine) => number[];
export const intSequenceWithEngine: (engine?: () => number) => (min: number, max: number) => number[];
export const normalDist: (mean: number, stdDev: number, engine?: Engine) => number;
export const normalDistWithEngine: (engine?: () => number) => (mean: number, stdDev: number) => number;
export const normalFloat: (engine?: Engine) => number;
export const normalFloatWithEngine: (engine?: Engine) => () => number;
export const oneOf: <T>(arr: T[] | readonly T[], engine?: Engine) => T;
export const oneOfWithEngine: <T>(engine?: Engine) => (arr: T[] | readonly T[]) => T;
export const seedFunc: (seed: number) => () => number;
export const sign: (engine?: Engine) => 1 | -1;
export const signWithEngine: (engine?: Engine) => () => 1 | -1;
export const uniqFuncSequence: <T>(arr: T[], engine?: Engine) => () => T;
export const uniqFuncIntRange: (min: number, max: number, engine?: Engine) => () => (number | null);
export const uuid: (engine?: Engine) => string;
export const uuidWithEngine: (engine?: Engine) => () => string;
export const weighted: (nums: number[], weights: number[], engine?: Engine) => number;
export const weightWithEngine: (engine?: () => number) => (nums: number[], weights: number[]) => number;

//# sourceMappingURL=aimless.d.ts.map
